$(document).ready(function() {
	
		exibeMensagem('PRÓXIMO CLIENTE');

		$('#div_buttons').height(470);
		$('#itens_extrato').height(220);

		function exibeMensagem(p_texto){
			$('#div_mensagem h2').text(p_texto);
		}


	/* Formata valor brasileiro 1.000,00 em Float 1000.00 */
	function converteBrFloat(valor, casas = 4){ 

		valor = String(valor);

      /* Número inválido é igual a Zero */
      if(valor === ""){ 
         valor =  '0';
      }

      /* Número inválido de casas, seta para 4 */
      if(casas == ""){
      	casas = 4;
      }

      /* Não Existindo a vírgula, acrescenta em 4 casas decimais */
      if(valor.indexOf(",", 0)==-1){
      	valor += ',0000';
      };

      	valor = valor.replace(/\./g, '');
      	valor = valor.replace(/\R/g, '');
	    valor = valor.replace(/\$/g, '');
	    valor = valor.replace(" ", '');
	    valor = valor.replace(",",".");

      valor = parseFloat(valor).toFixed(casas);

      return valor;
   }

   	/* Primeiro campo com foco: */
   	
	$('#id_produto').keyup(function(e) {

		var tamanho = $(this).val().length;
		console.log('evento keyup on id_produto:' + tamanho);

        //HENRIQUE - Edival, eu apenas acrescentei estas 4 linhas.
        //SE DER ENTER 
        if(e.which == 13 &&  tamanho >0) {
            $('#id_produto').trigger('blur'); 
        } 
	});
    
	/* Se valor vazio, seta valor para 1 ao perder foco */
	$('#qt_pedido').on('blur', function(e){
		if($(this).val()==""){
			$(this).val("1,0000");
		}
	});

    /* Edival - 11/0/2019 - Remover a comparação por tamanho, será chamado sempre o evento blur quando for dado TAB */
		/*
		if(tamanho>=8 || tamanho==13){
			$('#id_produto').trigger('blur'); 
		}
		*/
	$('#id_produto').on('blur', function(e){
		var val = $(this).attr('data-etq-tipo');
			setPadroesProduto(val);
	});

	/* Auto Preenchimento do campo valor em caso não dinheiro */
	$('input[name*=id_forma_pagamento]').on('change blur', function(e){
		var p_id_forma = $(this).val();
		var p_vl_total_venda = "R$ 0,00";
		var p_vl_pagamento   = converteBrFloat($('#vl_pagamentos').val());

		if(p_id_forma!="1" && p_id_forma!=""){
			p_vl_total_venda = $('#vl_total_venda').val();
		}

		if(p_vl_pagamento==0.0000){
		  $('#vl_pagamentos').val(p_vl_total_venda);
		}		
		$('#vl_pagamentos').focus();
	});

	/* Primeiro campo com foco: */
	$('input[name*=id_forma_pagamento]').keypress(function(e) {
		if(e.which=="13"){
			$('#vl_pagamentos').focus();
		}
	});

	/* Finalizar Venda, trazer método via ajax */
	$('#btn-pgto-finaliza').on('click', function(e){

		somaPagamentos();

		var frm = $('#validate_custom'); // var ok = $('#validate_custom').validationEngine('hide');
		var p_tx_valor = $('#vl_total_venda').val();
		var p_tx_pgto  = $('#vl_pagamentos').val();
		var p_id_forma = $('input[name*=id_forma_pagamento]').val() ; // $('#id_forma_pagamento').val();
		var p_id_condicao = $('input[name*=id_condicao_pagamento]').val() ; // $('#id_forma_pagamento').val();
		var p_cpf_cnpj = $('input[name*=ds_cnpj_cpf]').val() ; // $('#id_forma_pagamento').val();
		
		var p_valor = converteBrFloat(p_tx_valor, 2);
		var p_pgto  = converteBrFloat(p_tx_pgto , 2);

		p_valor2 = parseFloat(p_valor)
		p_pgto2  = parseFloat(p_pgto)

		/*
		console.log('p_tx_valor:' + p_tx_valor);
		console.log('p_tx_pgto :' + p_tx_pgto);
		console.log('p_valor   :' + p_valor);
		console.log('p_pgto    :' + p_pgto);

		console.log(p_pgto2 < p_valor2);
		console.log(11.00 < 9.50);
		*/

		/* Não foi informado nennhum item*/
		if(p_valor2==0.00){
			exibeMensagem("É Obrigatório informar 1 ou mais produtos");
			$('a[href="#form2"]').click();
			return;
		}
		
		$.post( "erpc_consiste_credito.php", { id_condicao_pagamento: p_id_condicao}).done(function( fl_condicao_consiste_credito ) {
			
			var fl_cond_consiste = JSON.parse(fl_condicao_consiste_credito);
			
			if(fl_cond_consiste == 1){
				//alert("esta forma de pagamento consiste crédito")
				
				if(p_cpf_cnpj.length > 0){
				    //alert("o cara tem um cpf/cnpj informado");
					//if(p_cpf_cnpj.length == 11 || p_cpf_cnpj.length == 14){
							$.post( "erpc_consiste_credito.php", { ds_cpf_cnpj: p_cpf_cnpj}).done(function( retorno ) {
							
							var cliente = JSON.parse(retorno);
							//alert("Consiste Crédito? R: " + cliente.fl_consiste_credito);
							if(cliente.fl_consiste_credito == 1){
							    
							    cliente.vl_limite_credito = parseFloat(cliente.vl_limite_credito);
								cliente.saldo_atual = parseFloat(cliente.saldo_atual);
								
								var saldo_cliente = (cliente.vl_limite_credito - cliente.vl_saldo_atual - p_valor2);
								//var saldo_cliente = cliente.vl_saldo_atual;
								
								var credito_disponivel = (cliente.vl_limite_credito - cliente.vl_saldo_atual);
								credito_disponivel = parseFloat(credito_disponivel);
								
								if(saldo_cliente >= 0 ){
		
		                    		if((p_pgto2 < p_valor2)==true){
		                    			exibeMensagem("É Obrigatório informar o valor de Pagamento");
		                    			$('a[href="#form5"]').click();
		                    			return;
		                    		}
		                    
		                    		if(p_id_forma==""){
		                    			exibeMensagem("É Obrigatório informar a forma de Pagamento");
		                    			$('a[href="#form5"]').click();
		                    			$('input[name*=id_forma_pagamento]').focus();	
		                    			return;
		                    		}
		                    
		                    		var Base64={_keyStr:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",encode:function(e){var t="";var n,r,i,s,o,u,a;var f=0;e=Base64._utf8_encode(e);while(f<e.length){n=e.charCodeAt(f++);r=e.charCodeAt(f++);i=e.charCodeAt(f++);s=n>>2;o=(n&3)<<4|r>>4;u=(r&15)<<2|i>>6;a=i&63;if(isNaN(r)){u=a=64}else if(isNaN(i)){a=64}t=t+this._keyStr.charAt(s)+this._keyStr.charAt(o)+this._keyStr.charAt(u)+this._keyStr.charAt(a)}return t},decode:function(e){var t="";var n,r,i;var s,o,u,a;var f=0;e=e.replace(/[^A-Za-z0-9\+\/\=]/g,"");while(f<e.length){s=this._keyStr.indexOf(e.charAt(f++));o=this._keyStr.indexOf(e.charAt(f++));u=this._keyStr.indexOf(e.charAt(f++));a=this._keyStr.indexOf(e.charAt(f++));n=s<<2|o>>4;r=(o&15)<<4|u>>2;i=(u&3)<<6|a;t=t+String.fromCharCode(n);if(u!=64){t=t+String.fromCharCode(r)}if(a!=64){t=t+String.fromCharCode(i)}}t=Base64._utf8_decode(t);return t},_utf8_encode:function(e){e=e.replace(/\r\n/g,"\n");var t="";for(var n=0;n<e.length;n++){var r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r)}else if(r>127&&r<2048){t+=String.fromCharCode(r>>6|192);t+=String.fromCharCode(r&63|128)}else{t+=String.fromCharCode(r>>12|224);t+=String.fromCharCode(r>>6&63|128);t+=String.fromCharCode(r&63|128)}}return t},_utf8_decode:function(e){var t="";var n=0;var r=c1=c2=0;while(n<e.length){r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r);n++}else if(r>191&&r<224){c2=e.charCodeAt(n+1);t+=String.fromCharCode((r&31)<<6|c2&63);n+=2}else{c2=e.charCodeAt(n+1);c3=e.charCodeAt(n+2);t+=String.fromCharCode((r&15)<<12|(c2&63)<<6|c3&63);n+=3}}return t}}
		                    
		                    
		                    		$.ajax({
		                                type: frm.attr('method'),
		                                url:  frm.attr('action'),
		                                data: frm.serialize(),
		                                success: function (data) {
		                                	exibeMensagem('Selecione a opção para Finalizar');
		                                    var p_retorno = data;
		                                    var retdata = p_retorno.split(';');
		                    
		                                    var p_orig= retdata[1]; // nr_ped_orig;
		                                    var p_libe= retdata[2]; // nr_ped_libe;
		                                    var p_url = retdata[3];
		                                        
		                                    $('#id_pedido').val(p_libe); 
		                                    $('#id_pedido_original').val(p_orig);
		                    
		                                    var p_libe_encode = Base64.encode(p_libe);
		                                    var p_orig_encode = Base64.encode(p_orig);
		                    
		                                    $('#id_pedido').attr('data-value',  p_libe_encode);
		                                    $('#id_pedido_original').attr('data-value',  p_orig_encode);
		                    				
		                    				/*
		                    				p_msg = 'Pedido:' + p_libe + '|encode:' + p_libe_encode + '|Original:' + p_orig + '|encode:' + p_orig_encode;
		                    				console.log(p_msg);
		                    				*/
		                    
		                                    var p_mens = 'Escolha uma das opções abaixo para Finalizar a Venda do Pedido N.ro ' + p_libe + '?';
		                    
		                    				// $('#dialog').find('span').val(p_mens);
		                    				$('#dialog span').text(p_mens);
		                    
		                                    $("#dialog").dialog({
		                    			      autoOpen: false,
		                    			      modal: true
		                    			    });
		                    
		                                    
		                                    /*
		                                    $("#dresult").dialog({
		                    			      width:'auto',
		                    			      autoOpen: false,
		                    			      modal: true
		                    			    });
		                    				*/
		                    
		                    			    $("#dialog").dialog("open");
		                    
		                                },
		                                error: function (data) {
		                                    console.log('Ocorreu um erro ao Finalizar');
		                                    console.log(data);
		                                },
		                            });
								}else{
								    //Bloquear venda e avisar que está passando o limite
								    alert(	"Cliente excedeu o Limite de Crédito \n" +
											"Crédito disponível: R$ " + credito_disponivel.toFixed(2));
								}
							}else{
							    //Não consiste crédito, portanto prosseguir com a venda sem verificar
						        if((p_pgto2 < p_valor2)==true){
		                			exibeMensagem("É Obrigatório informar o valor de Pagamento");
		                			$('a[href="#form5"]').click();
		                			return;
		                		}
		                
		                		if(p_id_forma==""){
		                			exibeMensagem("É Obrigatório informar a forma de Pagamento");
		                			$('a[href="#form5"]').click();
		                			$('input[name*=id_forma_pagamento]').focus();	
		                			return;
		                		}
		                
		                		var Base64={_keyStr:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",encode:function(e){var t="";var n,r,i,s,o,u,a;var f=0;e=Base64._utf8_encode(e);while(f<e.length){n=e.charCodeAt(f++);r=e.charCodeAt(f++);i=e.charCodeAt(f++);s=n>>2;o=(n&3)<<4|r>>4;u=(r&15)<<2|i>>6;a=i&63;if(isNaN(r)){u=a=64}else if(isNaN(i)){a=64}t=t+this._keyStr.charAt(s)+this._keyStr.charAt(o)+this._keyStr.charAt(u)+this._keyStr.charAt(a)}return t},decode:function(e){var t="";var n,r,i;var s,o,u,a;var f=0;e=e.replace(/[^A-Za-z0-9\+\/\=]/g,"");while(f<e.length){s=this._keyStr.indexOf(e.charAt(f++));o=this._keyStr.indexOf(e.charAt(f++));u=this._keyStr.indexOf(e.charAt(f++));a=this._keyStr.indexOf(e.charAt(f++));n=s<<2|o>>4;r=(o&15)<<4|u>>2;i=(u&3)<<6|a;t=t+String.fromCharCode(n);if(u!=64){t=t+String.fromCharCode(r)}if(a!=64){t=t+String.fromCharCode(i)}}t=Base64._utf8_decode(t);return t},_utf8_encode:function(e){e=e.replace(/\r\n/g,"\n");var t="";for(var n=0;n<e.length;n++){var r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r)}else if(r>127&&r<2048){t+=String.fromCharCode(r>>6|192);t+=String.fromCharCode(r&63|128)}else{t+=String.fromCharCode(r>>12|224);t+=String.fromCharCode(r>>6&63|128);t+=String.fromCharCode(r&63|128)}}return t},_utf8_decode:function(e){var t="";var n=0;var r=c1=c2=0;while(n<e.length){r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r);n++}else if(r>191&&r<224){c2=e.charCodeAt(n+1);t+=String.fromCharCode((r&31)<<6|c2&63);n+=2}else{c2=e.charCodeAt(n+1);c3=e.charCodeAt(n+2);t+=String.fromCharCode((r&15)<<12|(c2&63)<<6|c3&63);n+=3}}return t}}
		                
		                
		                		$.ajax({
		                            type: frm.attr('method'),
		                            url:  frm.attr('action'),
		                            data: frm.serialize(),
		                            success: function (data) {
		                            	exibeMensagem('Selecione a opção para Finalizar');
		                                var p_retorno = data;
		                                var retdata = p_retorno.split(';');
		                
		                                var p_orig= retdata[1]; // nr_ped_orig;
		                                var p_libe= retdata[2]; // nr_ped_libe;
		                                var p_url = retdata[3];
		                                    
		                                $('#id_pedido').val(p_libe); 
		                                $('#id_pedido_original').val(p_orig);
		                
		                                var p_libe_encode = Base64.encode(p_libe);
		                                var p_orig_encode = Base64.encode(p_orig);
		                
		                                $('#id_pedido').attr('data-value',  p_libe_encode);
		                                $('#id_pedido_original').attr('data-value',  p_orig_encode);
		                				
		                				/*
		                				p_msg = 'Pedido:' + p_libe + '|encode:' + p_libe_encode + '|Original:' + p_orig + '|encode:' + p_orig_encode;
		                				console.log(p_msg);
		                				*/
		                
		                                var p_mens = 'Escolha uma das opções abaixo para Finalizar a Venda do Pedido N.ro ' + p_libe + '?';
		                
		                				// $('#dialog').find('span').val(p_mens);
		                				$('#dialog span').text(p_mens);
		                
		                                $("#dialog").dialog({
		                			      autoOpen: false,
		                			      modal: true
		                			    });
		                
		                                
		                                /*
		                                $("#dresult").dialog({
		                			      width:'auto',
		                			      autoOpen: false,
		                			      modal: true
		                			    });
		                				*/
		                
		                			    $("#dialog").dialog("open");
		                
		                            },
		                            error: function (data) {
		                                console.log('Ocorreu um erro ao Finalizar');
		                                console.log(data);
		                            },
		                        });
							}
						});
					//}else{
					    //Foi preenchido, mas não tem comprimento de cpf/cnpj
					    //alert("Verifique o cliente");    
					//} 
				}else{
				        // Não foi preenchido cpf/cnpj
				        //alert("Nao preenchou cpf");
				         		if((p_pgto2 < p_valor2)==true){
		                			exibeMensagem("É Obrigatório informar o valor de Pagamento");
		                			$('a[href="#form5"]').click();
		                			return;
		                		}
		                
		                		if(p_id_forma==""){
		                			exibeMensagem("É Obrigatório informar a forma de Pagamento");
		                			$('a[href="#form5"]').click();
		                			$('input[name*=id_forma_pagamento]').focus();	
		                			return;
		                		}
		                
		                		var Base64={_keyStr:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",encode:function(e){var t="";var n,r,i,s,o,u,a;var f=0;e=Base64._utf8_encode(e);while(f<e.length){n=e.charCodeAt(f++);r=e.charCodeAt(f++);i=e.charCodeAt(f++);s=n>>2;o=(n&3)<<4|r>>4;u=(r&15)<<2|i>>6;a=i&63;if(isNaN(r)){u=a=64}else if(isNaN(i)){a=64}t=t+this._keyStr.charAt(s)+this._keyStr.charAt(o)+this._keyStr.charAt(u)+this._keyStr.charAt(a)}return t},decode:function(e){var t="";var n,r,i;var s,o,u,a;var f=0;e=e.replace(/[^A-Za-z0-9\+\/\=]/g,"");while(f<e.length){s=this._keyStr.indexOf(e.charAt(f++));o=this._keyStr.indexOf(e.charAt(f++));u=this._keyStr.indexOf(e.charAt(f++));a=this._keyStr.indexOf(e.charAt(f++));n=s<<2|o>>4;r=(o&15)<<4|u>>2;i=(u&3)<<6|a;t=t+String.fromCharCode(n);if(u!=64){t=t+String.fromCharCode(r)}if(a!=64){t=t+String.fromCharCode(i)}}t=Base64._utf8_decode(t);return t},_utf8_encode:function(e){e=e.replace(/\r\n/g,"\n");var t="";for(var n=0;n<e.length;n++){var r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r)}else if(r>127&&r<2048){t+=String.fromCharCode(r>>6|192);t+=String.fromCharCode(r&63|128)}else{t+=String.fromCharCode(r>>12|224);t+=String.fromCharCode(r>>6&63|128);t+=String.fromCharCode(r&63|128)}}return t},_utf8_decode:function(e){var t="";var n=0;var r=c1=c2=0;while(n<e.length){r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r);n++}else if(r>191&&r<224){c2=e.charCodeAt(n+1);t+=String.fromCharCode((r&31)<<6|c2&63);n+=2}else{c2=e.charCodeAt(n+1);c3=e.charCodeAt(n+2);t+=String.fromCharCode((r&15)<<12|(c2&63)<<6|c3&63);n+=3}}return t}}
		                
		                
		                		$.ajax({
		                            type: frm.attr('method'),
		                            url:  frm.attr('action'),
		                            data: frm.serialize(),
		                            success: function (data) {
		                            	exibeMensagem('Selecione a opção para Finalizar');
		                                var p_retorno = data;
		                                var retdata = p_retorno.split(';');
		                
		                                var p_orig= retdata[1]; // nr_ped_orig;
		                                var p_libe= retdata[2]; // nr_ped_libe;
		                                var p_url = retdata[3];
		                                    
		                                $('#id_pedido').val(p_libe); 
		                                $('#id_pedido_original').val(p_orig);
		                
		                                var p_libe_encode = Base64.encode(p_libe);
		                                var p_orig_encode = Base64.encode(p_orig);
		                
		                                $('#id_pedido').attr('data-value',  p_libe_encode);
		                                $('#id_pedido_original').attr('data-value',  p_orig_encode);
		                				
		                				/*
		                				p_msg = 'Pedido:' + p_libe + '|encode:' + p_libe_encode + '|Original:' + p_orig + '|encode:' + p_orig_encode;
		                				console.log(p_msg);
		                				*/
		                
		                                var p_mens = 'Escolha uma das opções abaixo para Finalizar a Venda do Pedido N.ro ' + p_libe + '?';
		                
		                				// $('#dialog').find('span').val(p_mens);
		                				$('#dialog span').text(p_mens);
		                
		                                $("#dialog").dialog({
		                			      autoOpen: false,
		                			      modal: true
		                			    });
		                
		                                
		                                /*
		                                $("#dresult").dialog({
		                			      width:'auto',
		                			      autoOpen: false,
		                			      modal: true
		                			    });
		                				*/
		                
		                			    $("#dialog").dialog("open");
		                
		                            },
		                            error: function (data) {
		                                console.log('Ocorreu um erro ao Finalizar');
		                                console.log(data);
		                            },
		                        });
				        
				}
			}else{
				//alert("Não consiste crédito esta forma de pagamento");
				
				if((p_pgto2 < p_valor2)==true){
        			exibeMensagem("É Obrigatório informar o valor de Pagamento");
        			$('a[href="#form5"]').click();
        			return;
        		}
        
        		if(p_id_forma==""){
        			exibeMensagem("É Obrigatório informar a forma de Pagamento");
        			$('a[href="#form5"]').click();
        			$('input[name*=id_forma_pagamento]').focus();	
        			return;
        		}
        
        		var Base64={_keyStr:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",encode:function(e){var t="";var n,r,i,s,o,u,a;var f=0;e=Base64._utf8_encode(e);while(f<e.length){n=e.charCodeAt(f++);r=e.charCodeAt(f++);i=e.charCodeAt(f++);s=n>>2;o=(n&3)<<4|r>>4;u=(r&15)<<2|i>>6;a=i&63;if(isNaN(r)){u=a=64}else if(isNaN(i)){a=64}t=t+this._keyStr.charAt(s)+this._keyStr.charAt(o)+this._keyStr.charAt(u)+this._keyStr.charAt(a)}return t},decode:function(e){var t="";var n,r,i;var s,o,u,a;var f=0;e=e.replace(/[^A-Za-z0-9\+\/\=]/g,"");while(f<e.length){s=this._keyStr.indexOf(e.charAt(f++));o=this._keyStr.indexOf(e.charAt(f++));u=this._keyStr.indexOf(e.charAt(f++));a=this._keyStr.indexOf(e.charAt(f++));n=s<<2|o>>4;r=(o&15)<<4|u>>2;i=(u&3)<<6|a;t=t+String.fromCharCode(n);if(u!=64){t=t+String.fromCharCode(r)}if(a!=64){t=t+String.fromCharCode(i)}}t=Base64._utf8_decode(t);return t},_utf8_encode:function(e){e=e.replace(/\r\n/g,"\n");var t="";for(var n=0;n<e.length;n++){var r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r)}else if(r>127&&r<2048){t+=String.fromCharCode(r>>6|192);t+=String.fromCharCode(r&63|128)}else{t+=String.fromCharCode(r>>12|224);t+=String.fromCharCode(r>>6&63|128);t+=String.fromCharCode(r&63|128)}}return t},_utf8_decode:function(e){var t="";var n=0;var r=c1=c2=0;while(n<e.length){r=e.charCodeAt(n);if(r<128){t+=String.fromCharCode(r);n++}else if(r>191&&r<224){c2=e.charCodeAt(n+1);t+=String.fromCharCode((r&31)<<6|c2&63);n+=2}else{c2=e.charCodeAt(n+1);c3=e.charCodeAt(n+2);t+=String.fromCharCode((r&15)<<12|(c2&63)<<6|c3&63);n+=3}}return t}}
        
        
        		$.ajax({
                    type: frm.attr('method'),
                    url:  frm.attr('action'),
                    data: frm.serialize(),
                    success: function (data) {
                    	exibeMensagem('Selecione a opção para Finalizar');
                        var p_retorno = data;
                        var retdata = p_retorno.split(';');
        
                        var p_orig= retdata[1]; // nr_ped_orig;
                        var p_libe= retdata[2]; // nr_ped_libe;
                        var p_url = retdata[3];
                            
                        $('#id_pedido').val(p_libe); 
                        $('#id_pedido_original').val(p_orig);
        
                        var p_libe_encode = Base64.encode(p_libe);
                        var p_orig_encode = Base64.encode(p_orig);
        
                        $('#id_pedido').attr('data-value',  p_libe_encode);
                        $('#id_pedido_original').attr('data-value',  p_orig_encode);
        				
        				/*
        				p_msg = 'Pedido:' + p_libe + '|encode:' + p_libe_encode + '|Original:' + p_orig + '|encode:' + p_orig_encode;
        				console.log(p_msg);
        				*/
        
                        var p_mens = 'Escolha uma das opções abaixo para Finalizar a Venda do Pedido N.ro ' + p_libe + '?';
        
        				// $('#dialog').find('span').val(p_mens);
        				$('#dialog span').text(p_mens);
        
                        $("#dialog").dialog({
        			      autoOpen: false,
        			      modal: true
        			    });
        
                        
                        /*
                        $("#dresult").dialog({
        			      width:'auto',
        			      autoOpen: false,
        			      modal: true
        			    });
        				*/
        
        			    $("#dialog").dialog("open");
        
                    },
                    error: function (data) {
                        console.log('Ocorreu um erro ao Finalizar');
                        console.log(data);
                    },
                });
			}
		});
		//FIM
		
		
	});


	$('#btn-fatura').on('click', function(e){
	  var p_ped  = $('#id_pedido').attr('data-value');
	  var p_url  = 'erpc_venda_rapida_ws.php?codepdv=true&id_pedido=' + p_ped;

	  window.open(p_url, 'SAT Fiscal', 'width=800, height=280, top= 200, left=300, location=no, menubar=no, scrollbars=yes,status=no,titlebar=yes,toolbar=no,resizable=no'); // <---- form action 

      		/*frm2.attr('action', 'erpc_venda_rapida_ws.php?codepdv=true');
      		frm2.attr('target', '_blank');

      		$("#dresult h4").text("Aguarde comunicação com SAT e término de impressão:");

      		$("#dialog").dialog("close");
      		$("#dresult").dialog("open");
			frm2.submit();
			*/
    });

    $("#btn-recibo").on('click', function(e){
	  var p_ped    = $('#id_pedido').attr('data-value');
	  var p_ped_org= $('#id_pedido_original').attr('data-value');

	  var p_url  = 'erpc_venda_rapida_recibo.php?codepdv=true&id_pedido=' + p_ped + '&id_pedido_original=' + p_ped_org + '&titfin';

	  window.open(p_url, 'SAT Fiscal', 'width=800, height=280, top= 200, left=300, location=no, menubar=no, scrollbars=yes,status=no,titlebar=yes,toolbar=no,resizable=no'); // <---- form action 

		/*
		var frm2 = $('#validate_impr');
      		frm2.attr('action', 'erpc_venda_rapida_recibo.php?codepdv=true');
      		frm2.attr('target', 'iresult');
      		$("#dresult h4").text("Aguarde término de impressão:");

			$("#dialog").dialog("close");
      		$("#dresult").dialog("open");
      		frm2.submit();
      	*/
    });


    
    	// 
    
	$('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
	  var target = $(e.target).attr("href") // activated tab
	  // alert(target);
	  $(target).find('input:first').focus();
	  $(target).find('input:first').select();
	});

	$('#btn-result-url').on('click', function(e){
		GetIFrameUrl();
	})



	  $('#helper-modal-div').on('hide.bs.modal', function () {
      	$('#id_produto').trigger('blur');
	  });


    
    function GetIFrameUrl()
            {
             // alert('url = ' + document.frames['iresult'].location.href);
             var p_src = $('#iresult').contents().get(0).location.href;
             $('#iresult').attr('src', '');
             $('#iresult').attr('src', p_src);
             $('#iresult').contents().get(0).location.reload();
        }



	// $('#id_produto').on('blur', function(e){
	/* Configuração de Peso: 1 quantidade / 2 Valor */
	function setPadroesProduto(p_tipo_conf){
      exibeMensagem('Registrando Produto');

      var p_id_produto = $('#id_produto').val();
      var p_qt_pedido  = $("#qt_pedido").val();

      /* Configuração da Etiqueta */
      var p_etq_dig_prod= parseInt($('#id_produto').attr('data-dig-prod'));
      if(p_tipo_conf==1)
      {
        var p_etq_dig_peso= parseInt($('#id_produto').attr('data-dig-peso'));
        var p_etq_dig_veri= parseInt($('#id_produto').attr('data-dig-veri'));
      }else{
      	var p_etq_dig_preco=parseInt($('#id_produto').attr('data-dig-preco'));
      }

      limparFormProduto(false, p_qt_pedido);

      if(p_id_produto==""){
      	return false;
      }

      if(p_id_produto!=''){
          $.ajax({
                url:  "inc/codepdv_produto_padrao.php",
                type: "GET", //send it through get method
                data: {
                      key: p_id_produto
                    },
                dataType: 'json',
                success:function(data, textStatus, jqXHR) {
                   p_retorno = data;

                   if (data.error) {
			          noty({text: data.error, type: 'error', timeout: 5000});
			        }
                   
                   if(p_retorno.id !== undefined){
                   		
                   		/* Conferir se houve retorno dos padões do produto */
                  		if(p_retorno.id !=""){
                  			var tipo_barras = p_id_produto.substring(0,1);

                  			/* Retorno dos valores */
        	          		var p_ds_medi  = p_retorno.id_unidade_medida;
		                    var p_vl_unit  = parseFloat(p_retorno.vl_preco_venda).toFixed(2);
		                    var p_id = p_retorno.id;
		                    var p_cd = p_retorno.cd_produto;
		                    var p_ds = p_retorno.ds_produto; // $("#ds_produto").val();

                  			/* SE Produto é por PESO, captura por configuração
			                       1 => configurado por quantidade
			                       2 => configurado por valor 
			                     */
			                if(tipo_barras=="2"){
			                	console.log('tipo de etiqueta  :' + p_tipo_conf);
			                	console.log('digitos do produto:' + p_etq_dig_prod);

			                	var cd_prod = p_id_produto.substr(1, p_etq_dig_prod + 1);
                  				console.log('produto:' + cd_prod);



								if(p_tipo_conf=="1"){
									nr_valor  = p_id_produto.substr(p_etq_dig_prod +1 , p_etq_dig_peso);
		                  			console.log('quantidade:' + nr_valor);
		                  			
		                  			nr_valor_b= parseFloat(nr_valor) / 1000; 
		                  			nr_valor  = nr_valor_b.toString();
		                  			p_qt_pedido=nr_valor.replace('.', ',');
		                  			$('#qt_pedido').val(p_qt_pedido);
		                  		}else{
		                  			nr_valor  = p_id_produto.substr(p_etq_dig_prod +1 , p_etq_dig_preco);
		                  			console.log('valor:' + nr_valor);

		                  			p_qt_pedido="1,0000";
		                  			p_vl_unit  = parseFloat(nr_valor) / 100; /* Duas casas decimais */
		                  		}
		                  	  }

		                  	  // console.log('quantidade:' + p_qt_pedido.replace(',', '.'));

		                  	  if(!parseFloat(p_qt_pedido.replace(',', '.'))>0){
		                  	  	exibeMensagem('Quantidade do item não pode ser zero!');
		                  	  	$('#qt_pedido').focus();
		                  	  	return false;
		                  	  }

		                  	var p_vl_total = parseFloat(p_qt_pedido.replace(',', '.') * p_vl_unit).toFixed(2);
		                  	var p_lb_vl_unit = mascaraValor(p_vl_unit);
		                    var p_lb_vl_total= mascaraValor(p_vl_total);

		                      $("#id_unidade_medida").val(p_ds_medi);
		                      $("#vl_unitario").val(p_lb_vl_unit);
		                      $("#vl_total").val(p_lb_vl_total);

	                      incluirItem(p_id, p_cd, p_ds, p_ds_medi, p_qt_pedido, p_lb_vl_unit, p_lb_vl_total);

	                      limparFormProduto(true);
                      }
                      /* Beep de Erro: */
                      else{

                      	$("#id_produto").focus();

                      	audio = document.getElementById('beep_erro');
	                    audio.play();
                      }

                      /*
                      limparFormProduto(true);

                       $("#qt_pedido").val("1");
                      $("#qt_pedido").focus();
                      $("#qt_pedido").select();
                      */
                   }
                },
                error: function(jqXHR, textStatus, errorThrown) {
			        // AWWW... JSON parse error?
			        noty({text: 'Erro(' + textStatus + '): ' + errorThrown, type: 'error', timeout: 5000});
			      }
           });
        }
    }

    	/* Limpa uma String e retorna somente numeros */
    	function apenasNumeros(string){
    		var regex = /\d/g;
			var numStr= parseFloat(string.match(regex).join(''));
			return numStr;
		}

		    /*Bloqueia caracteretes não numéricos com Decimal*/
		  function getKeyNumerosDecimais(e, s_locate) {
		    var key = e.keyCode || e.which;
		        key = String.fromCharCode( key );
		        // var regex = /^[0-9\b]+$/;    // .indexOf(",") allow only numbers [0-9]
		        var regex = /^[0-9,\b\n]+$/;    // .indexOf(",") allow only numbers [0-9] + a virgula

		        var b_locate = s_locate.indexOf(",",0); // Indice da virgula

		        var b_block = true; // Bloquear o retorno do campo ? Sim para todos

		        /* Bloquear a segunda vírgula */
		        if(e.which=="44" && b_locate!="-1"){
		          b_block = true;
		        /* Bloquear o que não está no Regex */
		        }else{
		          b_block = !regex.test(key);
		        }

		        /* Se bloqueio não retorna o campo */
		        if( b_block==true) {
		            e.returnValue = false;
		            if(e.preventDefault) e.preventDefault();
		          }

		  }

	      /*Bloqueia caracteretes não numéricos inteiros */
		  function getKeyNumerosInteiros(e, s_locate) {
		    var key = e.keyCode || e.which;
		        key = String.fromCharCode( key );
		        // var regex = /^[0-9\b]+$/;    // .indexOf(",") allow only numbers [0-9]
		        var regex = /^[0-9\b\n]+$/;    // .indexOf(",") allow only numbers [0-9] + a virgula

		        var b_locate = s_locate.indexOf(",",0); // Indice da virgula

		        var b_block = true; // Bloquear o retorno do campo ? Sim para todos

		        /* Bloquear a segunda vírgula */
		        if(e.which=="44" && b_locate!="-1"){
		          b_block = true;
		        /* Bloquear o que não está no Regex */
		        }else{
		          b_block = !regex.test(key);
		        }

		        /* Se bloqueio não retorna o campo */
		        if( b_block==true) {
		            e.returnValue = false;
		            if(e.preventDefault) e.preventDefault();
		          }
		  }

		  /* Validar Somente números inteiros*/
	    $('.sonumerointeiro').keypress(function(e){
	      var s_name = $(this).prop('name');
	      var s_text = $(this).val();

	      return getKeyNumerosInteiros(e, s_text);
	     });

	     /* Validar Somente números decimais*/
	    $('.sonumerodecimal').keypress(function(e){
	      var s_name = $(this).prop('name');
	      var s_text = $(this).val();

	      return getKeyNumerosDecimais(e, s_text);
	     });


	    $('#vl_total_descontos').on('blur', function(e){
	    	var valor = $(this).val();
	    	var p_valor_float = "0.00";
	   		var p_valor_BR    = formatarFloatToBR(p_valor_float - 0);

	    	if(valor==""){
	    		valor = "0,00";
	    	}

	    	var valor_cal = converteBrFloat(valor);
	    	var valor_ven = calculaTotal();

	    	/* Corrigir o valor do desconto, caso digitado em negativo */
	    	if(valor_cal<0){
	    		valor_cal *= -1;
	    	}

	    	/* Valor do Desconto não pode ser maior que valor da venda */
	    	if(valor_cal>valor_ven){
	    		exibeMensagem('Valor do desconto inválido!');    		
	    	}else{
	    		p_valor_float = parseFloat(valor_cal).toFixed(2); // converteBrFloat(valor, 2) - 0;
	    		p_valor_BR    = formatarFloatToBR(p_valor_float - 0);	
	    	}

	    	$('#vl_total_desconto2').attr('data-value', p_valor_float);
	    	$('#vl_total_desconto2').val(p_valor_BR);	    	
		    calculaTotal();
		    exibeTroco();	
	    });



    	function limparFormProduto(p_limpa_produto, p_qt_produto = ""){
    	  /* Limpa os campos ao consultar */
    	  if(p_qt_produto==""){
    	      p_qt_produto = "1,0000";
    	  }
    	  
	      $("#qt_pedido").val(p_qt_produto);
	      $("#id_unidade_medida").val("PC");
	      // $("#vl_unitario").val("0,00");
	      // $("#vl_total").val("0,00");

	      if(p_limpa_produto==true){
	      	$("#ds_produto").val("");
	      	$("#id_produto").val("");
	      	$("#id_produto").focus();
	      }
    	}

		/** Prevents the default function such as the help pop-up **/
        function removeDefaultFunction()
        {
            window.onhelp = function () { return false; }
        }

		$(window).bind('keydown', function(e) {
		
		            //This is the F1 key code, but NOT with SHIFT/CTRL/ALT
		            var keyCode = e.keyCode || e.which;
		            if((keyCode == 114 || e.key == 'F3') && 
		                    !(event.altKey ||event.ctrlKey || event.shiftKey || event.metaKey))
		             {
		                // prevent code starts here:
		                removeDefaultFunction();
		                e.cancelable = true;
		                e.stopPropagation();
		                e.preventDefault();
		                e.returnValue = false;
		                // Open help window here instead of alert
		                $('a[href="#form1"]').click();
		            }
		            // Add other F-keys here:
		            else if((keyCode == 115 || e.key == 'F4') && 
		                    !(event.altKey ||event.ctrlKey || event.shiftKey || event.metaKey))
		             {
			                // prevent code starts here:
			                removeDefaultFunction();
			                e.cancelable = true;
			                e.stopPropagation();
			                e.preventDefault();
			                e.returnValue = false;
			                // Do something else for F2
			                $('a[href="#form2"]').click();

		                }
		            else if((keyCode == 117 || e.key == 'F6') && 
		                    !(event.altKey ||event.ctrlKey || event.shiftKey || event.metaKey))
		             {

			                // prevent code starts here:
			                removeDefaultFunction();
			                e.cancelable = true;
			                e.stopPropagation();
			                e.preventDefault();
			                e.returnValue = false;
			                // Do something else for F2
			                $('a[href="#form3"]').click();

		            }
		            else if((keyCode == 118 || e.key == 'F7') && 
		                    !(event.altKey ||event.ctrlKey || event.shiftKey || event.metaKey))
		             {

			                // prevent code starts here:
			                removeDefaultFunction();
			                e.cancelable = true;
			                e.stopPropagation();
			                e.preventDefault();
			                e.returnValue = false;
			                // Do something else for F2
			                $('a[href="#form4"]').click();

		            	}
		            else if((keyCode == 119 || e.key == 'F8') && 
		                    !(event.altKey ||event.ctrlKey || event.shiftKey || event.metaKey))
		             {

			                // prevent code starts here:
			                removeDefaultFunction();
			                e.cancelable = true;
			                e.stopPropagation();
			                e.preventDefault();
			                e.returnValue = false;
			                // Do something else for F2
			                $('a[href="#form5"]').click();

			            }
		            else if((keyCode == 121 || e.key == 'F10') && 
		                    !(event.altKey ||event.ctrlKey || event.shiftKey || event.metaKey))
		             {
		                // prevent code starts here:
		                removeDefaultFunction();
		                e.cancelable = true;
		                e.stopPropagation();
		                e.preventDefault();
		                e.returnValue = false;
		                // Do something else for F2
		                $("#qt_pedido").focus();
		                $("#qt_pedido").select();
		                }
		            else if((keyCode == 70 || e.keyCode == 102 || e.key == 'F') && 
		                    (event.ctrlKey))
		             {
		                // prevent code starts here:
		                removeDefaultFunction();
		                e.cancelable = true;
		                e.stopPropagation();
		                e.preventDefault();
		                e.returnValue = false;

		                exibeMensagem('Concluindo Venda');
		                // $('#validate_custom').submit();

		                // $('#iresult').attr('src', '');
		                $('#btn-pgto-finaliza').trigger('click');

		                }
		        });

		

		function mascaraValor(valor) {
		  valor = valor.toString().replace(/\D/g,"");
		  valor = valor.toString().replace(/(\d)(\d{8})$/,"$1.$2");
		  valor = valor.toString().replace(/(\d)(\d{5})$/,"$1.$2");
		  valor = valor.toString().replace(/(\d)(\d{2})$/,"$1,$2");
		  return valor
		  }

		 /* Reinicia as Linhas da Tabela, e remove linhas em branco */
		


		/* Limpa as linhas em branco da tabela */
		function limparLinhas(){
			$('#pedidos_venda tr').each(function(){
				if($(this).find('input[name*=id_produto]').val()==""){
				   $(this).find('a[class="item-delete"]').click();
					// $('a[class="item-delete"]').click();	
				}
			});	
		}

		/* Registra um item na tabela de produtos*/
		function incluirItem(p_id, p_cd, p_ds, p_un, p_qt, p_vl, p_ti){
			
			if(p_id!=''){
				/* Acrescenta sempre uma linha na tabela para incluir o item */
				$('a[class="item-add pull-right"]').click();

				/* Se não existir a vírgula, acrescenta 4 */
				if(p_qt.indexOf(",",0)==-1){
					p_qt +=',0000';
				}
				$('#pedidos_venda tr:last').each(function(){
					$(this).find('input[name*=id_produto]').val(p_id);
					$(this).find('input[name*=ds_produto]').val(p_ds);
					$(this).find('input[name*=id_unidade_medida]').val(p_un);
					$(this).find('input[name*=nr_quantidade]').val(p_qt);
					$(this).find('input[name*=vl_unitario]').val(p_vl);
					$(this).find('input[name*=vl_total]').val(p_ti);
				});


				$('#lb_id_produto').val(p_id);
				$('#lb_ds_produto').val(p_ds);

				$('#lb_qt_pedido').val(p_qt);
				$('#lb_id_unidade_medida').val(p_un);
				$('#vl_unitario').val(p_vl);
				$('#vl_total').val(p_ti);

				/*
				var p_heigth = $('#itens_extrato').height();
				console.log('Tamanho da DIV:' + p_heigth);
				*/

				// Foco na última linha da tabela
				// var table = $('#pedidos_venda');
				// table.scrollpane.val(table.getHeight());
				  
				/*
				$("#pagewrap").mCustomScrollbar('destroy');
				  $("#pagewrap").mCustomScrollbar({
				    scrollInertia: 0, advanced:{ autoScrollOnFocus: true }
				  });
				  */

				audio = document.getElementById('beep_ok');
	            audio.play();

	            // $('#pedidos_venda tbody').scrollTop($('#pedidos_venda tbody').height());
	            $('#pedidos_venda tbody').scrollTop(9999999);

				limparLinhas();
				calculaTotal();
				verificaPagamento();
			}
		}

		// Returns an array of numbers located in the string
		function get_numbers(input) {
		    /*
		    $(this).text(text.replace('dog', 'doll'));
		    return input.match(/[0-9]+/g);
		    */
		var st_limpo = input.replace(',', '.');
		    st_limpo.match(/[0-9]+/g);
		    return st_limpo;
		}

		function formatarFloatToBR(valor){
			return valor.toLocaleString("pt-BR", { style: "currency" , currency:"BRL"});
		}

		function calculaTotal(){
			var p_vl_subtotal = 0;
			var p_vl_desconto = 0;

			/* Desconto informado pelo usuário, já convertido no formato 0.00 */
			var p_vl_desconto = $('#vl_total_desconto2').attr('data-value');

			$('#pedidos_venda tr').each(function(){
				var p_vl_calculo= 0;
				var p_vl_item   = $(this).find('input[name*=vl_total]').val();

				if(p_vl_item!=undefined){
					p_vl_calculo = converteBrFloat(p_vl_item);
				}

				p_vl_subtotal  = parseFloat(p_vl_subtotal); 
				p_vl_subtotal += parseFloat(p_vl_calculo);
				// $(this).find('input[name*=vl_total]').val(p_vl_subtotal);
			});

			var vl_total_venda = p_vl_subtotal - p_vl_desconto;

			$('#vl_subtotal').val(p_vl_subtotal);
			$('#vl_total_venda').val(formatarFloatToBR(vl_total_venda));

			return vl_total_venda;
		}

		function calculaTroco(){
			// exibeMensagem('Calculando Troco');
			var d_vl_pagamento = $('#vl_pagamentos').val();

			var p_vl_pagamento = converteBrFloat(d_vl_pagamento, 2);
				if(p_vl_pagamento=="NaN"){
					p_vl_pagamento = 0;
				}

			var p_vl_total_venda=calculaTotal();

				p_vl_troco = (p_vl_total_venda - p_vl_pagamento) *-1 ;

				/*
				alert('Pago: ' + p_vl_pagamento);
				alert('Vendido: ' + p_vl_total_venda);
				alert('Troco: ' + p_vl_troco);
				*/

				return p_vl_troco;
		}

		function exibeTroco(){
			p_vl_troco = calculaTroco();

			if(p_vl_troco<0){
				exibeMensagem('Confira Total da Venda com Valor Recebido');
				$('#lb_troco_restante').text("* Valor Restante");

			}else{	
				// exibeMensagem('Obrigado pela preferência');
			    $('#lb_troco_restante').text("Valor do Troco");				
			}

			$('#vl_troco').val(formatarFloatToBR(p_vl_troco));
			$('#div_troco').show();
		}

		function verificaPagamento(){
			/*
			valor = $('#vl_pagamento').val();

			p_vl_pagamento = converteBrFloat(valor);

			if(parseFloat(p_vl_pagamento)!=0){
				exibeTroco();
			}*/
			exibeTroco();
		}

		/* Recalcular os Totais ao remover linhas */
		$('#pedidos_venda').on('mouseover', function(e){
			calculaTotal();
			verificaPagamento();
		});
		
		$('#modalRegistrar').on('click', function(e){
			var p_lt_comanda = $('#lt_comanda').val();
			var p_nr_comanda = $('input[name*=nr_comanda]').val();
			var p_bo_incluir = false;
			
			$('#helperTable tr').each(function(){
				// console.log('Passando pela TR');
				var p_sel= $(this).find('input[name*=id_produto]'); // Número do Pedido

				/* Valor Selecionado, acrescanta o produto em registrar */
				if(p_sel.is(':checked')){
					// var p_sel= $(this).find('input[name*=nr_pedido]'); // Número do Pedido
					var p_coluna = $(this).find("td");

					var p_id = p_sel.val(); // ID do Produto
					var p_cd = p_coluna[1].innerHTML; // Código do Produto
					var p_ds = p_coluna[2].innerHTML; // Descrição do Produto
					var p_un = p_coluna[3].innerHTML; // Unidade
					var p_qt = p_coluna[4].innerHTML; // Quantidade Pedida
					var p_vl = p_coluna[5].innerHTML; // Valor Unitário
					var p_ti = p_coluna[6].innerHTML; // Valor Total do Item

					// $('a[class="item-add pull-right"]').click();	

					incluirItem(p_id, p_cd, p_ds, p_un, p_qt, p_vl, p_ti);
					p_bo_incluir = true;
				}			
			});

			/* Se selecionou e incluiu, limpa a comanda de produtos */
			if(p_bo_incluir==true){
				var p_nova_lista = p_lt_comanda + p_nr_comanda + ',';
				console.log('nova lista:' + p_nova_lista);
				
				$('#lt_comanda').val(p_nova_lista);
			}
		});


		$('#validate_custom').on('keyup keypress', function(e) {
		  var keyCode = e.keyCode || e.which;
		  if (keyCode === 13) { 
		    e.preventDefault();
		    return false;
		  }
		});

		$('input[name*=ds_cnpj_cpf]').keypress(function(e){
			if(e.which=="13"){
				if($(this).val()!==""){
					// alert("CLIENTE confirmado");
					$('#id_mensagem').val("CLIENTE:" + $(this).val());
				}
				$('a[href="#form2"]').click();
			}
		});

		$('input[name*=ds_cnpj_cpf]').on(' blur', function(e){
    
	        // O CPF ou CNPJ
	        var cnpj_cpf = $(this).val();

	        if(cnpj_cpf!=""){
	            // Testa a validação
	          if ( !valida_cpf_cnpj( cnpj_cpf ) ) {
	              noty({text: 'CPF ou CNPJ inválido', type: 'error', timeout: 5000});
	              e.stopImmediatePropagation();
	              e.preventDefault();
	              $(this).focus();
	          }
	        }
	    });



		$('input[name*=qt_pedido]').keypress(function(e){
			if(e.which=="13"){
				if($(this).val()!==""){
					$('#id_produto').focus();
				}
			}
		});


		$('input[name*=vl_total_descontos]').keypress(function(e){
			if(e.which=="13"){
				if($(this).val()!==""){
					// alert("CLIENTE confirmado");
					$('#id_mensagem').val("Forma de Pagamento:" + $(this).val());
				}
				$('a[href="#form5"]').click();
			}
		});

		$("input[name='pedidos_venda[nr_comanda]']").keypress(function(e){
			if(e.which=="13"){
				// alert("OPA enter pressionado!");
				// $('#comanda-modal-div').modal('show');
				$('a[href="erpc_codepdv_comanda_helper.php"]').click();
			}
		});


		/*
		$('input[name*=vl_pagamento').keypress(function(e){
		$(".somapagamento").keypress(function(e){
			if(e.which=="13"){
				// $("input[name='pedidos_venda[id_forma_pagamento]']").focus();
				$(this).next('.somapagamento').focus();
			}
		});
		*/




	// procura os links de lupa para adicionar evento de change nos inputs de valor, para pesquisar a descrição via ajax
	  $('.input-comanda').each(function () {
	    var valueSelector = $(this).data('value');
	    var descriptionSelector = $(this).data('description');
	    //console.log(valueSelector);
	    var input = $(valueSelector);
	    var description = $(descriptionSelector);
	    var url = this.href;
	    input.on('change', '', {'url': url, 'description': description}, _inputModalOnChange);
	  });

		$('#comanda-modal-div').on('shown.bs.modal', function(e){
			// console.log('Consegui abrir o modal para exibir a comanda:');
			$('#comanda-selecionar').text("{Aguarde...}");

			// atualiza o conteúdo
		    var thelink = $(e.relatedTarget);
		    var url  = e.relatedTarget.href;
		    var value= thelink.data('value');
		    $(this).data('href', url);
		    $(this).data('value', thelink.data('value'));
		    $(this).data('description', thelink.data('description'));

		    // console.log('href:' + url);
		    // console.log('value:'+ value);

		    var titulo = thelink.data('title');
		    if (titulo === undefined || titulo === '') {
		      titulo = 'Comanda';
		    }
		    $('#comanda-modal-label').text(thelink.data('title'));
		    // desabilita o selecionar, pois no início não tem nada selecionado
		    // $('#modalOk').prop("disabled", true);

		    // carrega o body do modal e executa função após o carregamento
		    $(this).find(".modal-body").load(url, modalBodyLoadedComanda);
		});

		$('#vl_pagamento').on('blur', function(e){
			exibeTroco();
		});


		// callback quando o corpo do modal do helper for carregado
		function modalBodyLoadedComanda() {
		  var modal = $('#comanda-modal-div');
		  // plugin datatable na lista
		  $("#helperTable").dataTable({
		    iDisplayLength: 100,
		    aLengthMenu: [100],
		    sPaginationType: "full_numbers",
		    "language": {
		      // url com caminho referente ao html que inclui este script, não ao desse script
		      "url": "js/plugins/datatables/Portuguese-Brasil.json",
		      select: {
		        rows: {
		          _: " %d linhas selecionadas",
		          0: "",
		          1: " 1 linha selecionada"
		        }
		      }
		    },
		    select: 'single'
		  });
		  
		  
		  // plugin scroll personalizado
		  var $scroll = modal.find(".scroll");
		  if ($scroll.length > 0) {
		    $scroll.mCustomScrollbar({
		      scrollInertia: 0
		    });
		    // atualiza o scroll em determinados eventos
		    modal.on('draw.dt length.dt search.dt shown.bs.tab', '.dataTable, a[data-toggle="tab"]', function () {
		      //console.log('fire event');
		      $scroll.mCustomScrollbar("update");
		    });
		  }
		}
		
		
		$.fn.dataTableExt.sErrMode = 'none';
		  $('#helperTable').dataTable({
			"aLengthMenu": [100],
			"iDisplayLength": 100        // Exibe todos os registros de uma só vez, de acordo como aLengthMenu
		  });
	
	$(".somapagamento").on('blur', function(e){
    	somaPagamentos();
  	});

  	function somaPagamentos(){
	    var p_tt_pag = 0.00;
	    $(".somapagamento").each(function(){
	      var p_texto  = $(this).val();
	          p_valor  = converteBrFloat(p_texto, 2);
	          if(p_valor<0){
	          	p_valor *= -1;
	          }

	          p_tt_pag+= Number(p_valor);
	    });
	    $("#vl_pagamentos").val(mascaraValor(p_tt_pag.toFixed(2)));

	    calculaTotal();
		exibeTroco();	
	  }


	 $("input[name='pedidos_venda[id_condicao_pagamento]']").on('blur', function(e){
	 	// $("input.somapagamento:first").focus();
	 	$("input.somapagamento:first").select();
	 });

}(jQuery));